org.springframework.data.repository.query.parser

## Enum Part.IgnoreCaseType

- java.lang.Object
- - java.lang.Enum<Part.IgnoreCaseType>
  - - org.springframework.data.repository.query.parser.Part.IgnoreCaseType

All Implemented Interfaces:
  Serializable, Comparable<Part.IgnoreCaseType>

Enclosing class:
  Part

    public static enum Part.IgnoreCaseType
    extends Enum<Part.IgnoreCaseType>

The various types of ignore case that are supported.

Author:
  Phillip Webb

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALWAYS` Should ignore the sentence case, throwing an exception if this is not possible.
`NEVER` Should not ignore the sentence case.
`WHEN_POSSIBLE` Should ignore the sentence case when possible to do so, silently ignoring the option when not possible.

### Method Summary

All Methods Static Methods Concrete Methods
`static Part.IgnoreCaseType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Part.IgnoreCaseType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NEVER

    public static final Part.IgnoreCaseType NEVER

Should not ignore the sentence case.

#### ALWAYS

    public static final Part.IgnoreCaseType ALWAYS

Should ignore the sentence case, throwing an exception if this is not possible.

#### WHEN_POSSIBLE

    public static final Part.IgnoreCaseType WHEN_POSSIBLE

Should ignore the sentence case when possible to do so, silently ignoring the option when not possible.

### Method Detail

#### values

    public static Part.IgnoreCaseType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Part.IgnoreCaseType c : Part.IgnoreCaseType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Part.IgnoreCaseType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null